SEQ(1)

NOM
seq - Afficher une suite de nombres

SYNOPSIS
seq [OPTION]... DERNIER
seq [OPTION]... PREMIER DERNIER
seq [OPTION]... PREMIER INCRÉMENT DERNIER

DESCRIPTION

Afficher les nombres du PREMIER jusqu'au DERNIER, selon l'INCRÉMENT.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-f, --format=FORMAT
    utiliser le style de FORMAT en virgule flottante de printf

-s, --separator=CHAÎNE
    utiliser la CHAÎNE pour séparer les nombres (par défaut : \n)

-w, --equal-width
    équilibrer les largeurs en insérant des zéros en tête

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Si PREMIER ou INCRÉMENT est omis, il prend par défaut la valeur 1. La valeur d'INCRÉMENT par défaut est de 1 même lorsque DERNIER est plus petit que PREMIER. La suite de nombres se termine quand la somme du nombre actuel et d’INCRÉMENT deviendrait supérieure à DERNIER. PREMIER, INCRÉMENT et DERNIER sont interprétés comme des valeurs en virgule flottante. INCRÉMENT est habituellement positif si PREMIER est plus petit que DERNIER et INCRÉMENT est habituellement négatif si PREMIER est plus grand que DERNIER. FORMAT doit permettre l'affichage d'un paramètre de type « double » ; la valeur par défaut est %.PRECf si PREMIER, INCRÉMENT et DERNIER sont tous des nombres décimaux à virgule fixe avec une précision maximale de PREC, et %g sinon.

AUTEUR
Écrit par Ulrich Drepper.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/seq>
aussi disponible localement à l’aide de la commande : info '(coreutils) seq invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.